Orders

Get Orders

GET/v1/customers/{customer_uuid}/orders/

Authorization

X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the X-Api-Key header on every request; the partner API does not require request signing.

Path parameters

customer_uuid
string<uuid> required

Query parameters

limit
integer | null
offset
integer | null
uuid
string<uuid> | null
external_id__like
string | null
holding_uuid
string<uuid> | null
account_uuid
string<uuid> | null
is_approved
boolean | null
is_third_party_payment
boolean | null
is_approve_deposited
boolean | null
incoming_rails_code
string | null
One of: bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tron
incoming_rails_type
string | null
One of: bank, crypto, card, all
incoming_provider_name
string | null
incoming_asset_code
string | null
One of: EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURC
incoming_custodian_account__like
string | null
incoming_client_account__like
string | null
outgoing_rails_code
string | null
One of: bitcoin, sepa, sepa_instant, swift, ach, wire, visa, mastercard, ethereum, algorand, polygon, ripple, xinfin, stellar, tron
outgoing_rails_type
string | null
One of: bank, crypto, card, all
outgoing_provider_name
string | null
outgoing_asset_code
string | null
One of: EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURC
outgoing_custodian_account__like
string | null
outgoing_client_account__like
string | null
is_manual
boolean | null
is_otc
boolean | null
approved_by
string | null
created_by
string | null
approved_at__gte
string<date> | null
approved_at__lte
string<date> | null
created_at__gte
string<date> | null
created_at__lte
string<date> | null
updated_at__gte
string<date> | null
updated_at__lte
string<date> | null
sort
string | null
One of: asc, desc
order_by
string | null
One of: id, external_id, created_at, updated_at, deleted_at, created_by, account_id, incoming_rails_code, outgoing_rails_code, incoming_rails_type, outgoing_rails_type, incoming_asset_code, outgoing_asset_code, holding_uuid, client_uuid, legal_entity_uuid, incoming_amount, outgoing_amount, status, is_approved, account_code, account_name, account_type
deleted__include
boolean | null
account_code__like
string | null
account_name__like
string | null
account_type
string | null
One of: trading, internal_iban
pipeline_type
string | null
One of: Buy EURS, Sell EURS, Bridge EURS, OTC, Onboarding, External
client_uuid
string<uuid> | null
status
string[] | null

Responses

Successful Response

Type: object[].

uuid
string<uuid> required
reference
string required
legal_entity_uuid
string<uuid> required
account
object required
status
string required
One of: new, processing, done, hold, failed, rejected, rollbacked, cancelled, stopped
deposit_address
string required
incoming_rails
object | null
incoming_provider
object | null
incoming_asset_code
string | null
One of: EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURC
incoming_amount
string | null
outgoing_rails
object | null
outgoing_provider
object | null
outgoing_asset_code
string | null
One of: EUR, USD, AED, CHF, GBP, CAD, AUD, NZD, CNY, HKD, JPY, SGD, THB, ILS, SAR, ZAR, PLN, ETH, BTC, XLM, TRX, MYR, USDT, USDC, EURS, EURC
outgoing_amount
string | null
outgoing_client_account
string | null
commission_amount
string | null
error_message
string | null
created_at
string<date-time> required
curl https://api.stablegate.com/v1/customers/CUSTOMER_UUID/orders/ \
  --header 'X-Api-Key: YOUR_API_KEY'
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reference": "string",
    "legal_entity_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "account": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "name": "string",
      "type": "trading"
    },
    "status": "new",
    "deposit_address": "string",
    "incoming_rails": {
      "code": "string",
      "name": "string",
      "type": "bank"
    },
    "incoming_provider": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "type": "external",
      "description": "string",
      "is_default": true
    },
    "incoming_asset_code": "EUR",
    "incoming_amount": "string",
    "outgoing_rails": {
      "code": "string",
      "name": "string",
      "type": "bank"
    },
    "outgoing_provider": {
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "type": "external",
      "description": "string",
      "is_default": true
    },
    "outgoing_asset_code": "EUR",
    "outgoing_amount": "string",
    "outgoing_client_account": "string",
    "commission_amount": "string",
    "error_message": "string",
    "created_at": "2026-01-01T00:00:00Z"
  }
]
Copyright © 2026